package com.lightinit.hsdataplatformresdir.model.admin;

import java.util.Date;

/**
 * Created by WangYao on 2018/5/23.
 */
public class ResourceAPIRegisterViewResourceModel {

    private Long id ;

    private String resourceType;

    private String resourceState;

    private String resourceName;

    private String resourceIdentity;

    private String resourceSummary;

    private Date registerDate;

    private String catelogType;

    private String catelogBasicName;

    private String catelogSectorName;

    private String catelogThemeName;

    private String catelogCustomName;

    private String shareType;

    private String openType;

    private Byte allowDeal;

    private String auditOpinion;

    private String providerName;

    private String serviceType;

    private String serviceTag;

    private String component;

    private String outId1 ;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getResourceState() {
        return resourceState;
    }

    public void setResourceState(String resourceState) {
        this.resourceState = resourceState;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceIdentity() {
        return resourceIdentity;
    }

    public void setResourceIdentity(String resourceIdentity) {
        this.resourceIdentity = resourceIdentity;
    }

    public String getResourceSummary() {
        return resourceSummary;
    }

    public void setResourceSummary(String resourceSummary) {
        this.resourceSummary = resourceSummary;
    }

    public Date getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
    }

    public String getCatelogType() {
        return catelogType;
    }

    public void setCatelogType(String catelogType) {
        this.catelogType = catelogType;
    }

    public String getCatelogBasicName() {
        return catelogBasicName;
    }

    public void setCatelogBasicName(String catelogBasicName) {
        this.catelogBasicName = catelogBasicName;
    }

    public String getCatelogSectorName() {
        return catelogSectorName;
    }

    public void setCatelogSectorName(String catelogSectorName) {
        this.catelogSectorName = catelogSectorName;
    }

    public String getCatelogThemeName() {
        return catelogThemeName;
    }

    public void setCatelogThemeName(String catelogThemeName) {
        this.catelogThemeName = catelogThemeName;
    }

    public String getCatelogCustomName() {
        return catelogCustomName;
    }

    public void setCatelogCustomName(String catelogCustomName) {
        this.catelogCustomName = catelogCustomName;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public Byte getAllowDeal() {
        return allowDeal;
    }

    public void setAllowDeal(Byte allowDeal) {
        this.allowDeal = allowDeal;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public String getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(String serviceTag) {
        this.serviceTag = serviceTag;
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getOutId1() {
        return outId1;
    }

    public void setOutId1(String outId1) {
        this.outId1 = outId1;
    }
}
